Bug 228267 - [as_IN, bn_IN, pa_IN] - qt - Danda showing square box in qt applications
[as_IN, bn_IN, pa_IN] - qt - Danda showing square box in qt applications
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
Ben Levenson
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-12 05:55 EST by A S Alam
Modified: 2013-07-02 20:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2007-02-12 05:55:25 EST
Description of problem:
Danda can not be rendered by qt Application (kedit/konqueror/amarok)

Version-Release number of selected component (if applicable):
fonts-punjabi-2.1.2-2.fc7
qt-3.3.7-2.fc7


How reproducible:
everytime during running kde application

Steps to Reproduce:
1. Login in pa_IN loale
2. Open kedit
3. Press CTRL +SPACE to enable SCIM
4. Select RAWCODE from Others
5. Type 0964
6. Observe the result.
  
Actual results:
Danda is not appearing, showing square box.

Expected results:
Danda should appear

Additional info:
Comment 2 Liang Zhang 2008-02-29 04:42:09 EST
I tested this bug. I can find this bug if my system doesn't install hindi fonts.
And I can not find this bug if I install the hindi fonts.
Comment 3 Rahul Bhalerao 2008-02-29 05:38:38 EST
Lizhang,
Yes thats right. This happens due to the font selection method in qt.
First, depending upon the character in process, it determines the script it
belongs to. 
Depending upon the script, it looks for a font that supports the script. If it
find a font supporting the script, then it loads glyphs from that font.

In case of Danda character, it falls in the range of Devanagari script.So it
looks for a Devanagari font. If you have Hindi font installed it pulls the glyph
from it. If not, it does not look in any other fonts that may have these glyphs,
and thus shows a square box. Even though panjabi or bengali fonts have the
required glyph

Thus best way is, if no script supporting font is found, then find the glyph's
presence in either the font that is currently selected or any other font.Or I am
not sure if it is viable to have an exceptional case for the Danda and Double Danda.
Comment 4 Jens Petersen 2008-04-14 23:38:46 EDT
Reassigning to Rahul.
Comment 5 Jens Petersen 2008-05-08 01:09:46 EDT
Is this related to bug 205357?
Comment 6 Bug Zapper 2008-05-14 08:09:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 21:16:08 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Jaswinder Singh 2008-06-26 04:00:57 EDT
I checked this bug with Fedora Core 9, it is working correctly now. Resolution
is correct.
Comment 9 A S Alam 2010-01-19 23:49:43 EST
based on Comment #8, changing resolution

Note You need to log in before you can comment on or make changes to this bug.